summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/archiso-19/mythvantage/crap/airootfs.orig/root')
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/crap/airootfs.orig/root/.automated_script.sh34
-rw-r--r--build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/.zlogin1
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/crap/airootfs.orig/root/customize_airootfs.sh23
-rw-r--r--build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/install.txt3
4 files changed, 61 insertions, 0 deletions
diff --git a/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/.automated_script.sh b/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/.automated_script.sh
new file mode 100755
index 0000000..81a98a1
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/.automated_script.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+script_cmdline ()
+{
+ local param
+ for param in $(< /proc/cmdline); do
+ case "${param}" in
+ script=*) echo "${param#*=}" ; return 0 ;;
+ esac
+ done
+}
+
+automated_script ()
+{
+ local script rt
+ script="$(script_cmdline)"
+ if [[ -n "${script}" && ! -x /tmp/startup_script ]]; then
+ if [[ "${script}" =~ ^http:// || "${script}" =~ ^ftp:// ]]; then
+ wget "${script}" --retry-connrefused -q -O /tmp/startup_script >/dev/null
+ rt=$?
+ else
+ cp "${script}" /tmp/startup_script
+ rt=$?
+ fi
+ if [[ ${rt} -eq 0 ]]; then
+ chmod +x /tmp/startup_script
+ /tmp/startup_script
+ fi
+ fi
+}
+
+if [[ $(tty) == "/dev/tty1" ]]; then
+ automated_script
+fi
diff --git a/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/.zlogin b/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/.zlogin
new file mode 100644
index 0000000..f598e43
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/.zlogin
@@ -0,0 +1 @@
+~/.automated_script.sh
diff --git a/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/customize_airootfs.sh b/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/customize_airootfs.sh
new file mode 100755
index 0000000..aecf7f1
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/customize_airootfs.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e -u
+
+sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
+locale-gen
+
+ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+
+usermod -s /usr/bin/zsh root
+cp -aT /etc/skel/ /root/
+chmod 700 /root
+
+useradd -m -p "" -g users -G "adm,audio,floppy,log,network,rfkill,scanner,storage,optical,power,wheel" -s /usr/bin/zsh arch
+
+chmod 750 /etc/sudoers.d
+chmod 440 /etc/sudoers.d/g_wheel
+
+sed -i "s/#Server/Server/g" /etc/pacman.d/mirrorlist
+sed -i 's/#\(Storage=\)auto/\1volatile/' /etc/systemd/journald.conf
+
+systemctl enable pacman-init.service choose-mirror.service
+systemctl set-default multi-user.target
diff --git a/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/install.txt b/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/install.txt
new file mode 100644
index 0000000..3c8f171
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/airootfs.orig/root/install.txt
@@ -0,0 +1,3 @@
+View this installation guide online at
+https://wiki.archlinux.org/index.php/Installation_Guide
+